Package org.eclipse.emf.cdo.server

## Interface IStoreAccessor.DurableLocking

- All Superinterfaces:
    `IDurableLockingManager`
  All Known Subinterfaces:
    `ILissomeStoreAccessor`, `IStoreAccessor.DurableLocking2`
  Enclosing interface:
    IStoreAccessor

      public static interface IStoreAccessor.DurableLocking
      extends IDurableLockingManager

  An extension interface for `store accessors` that support durable locking.
  Since:
    4.0
  Author:
    Eike Stepper
  See Also:
    `IStoreAccessor.DurableLocking2`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager

      `IDurableLockingManager.LockArea, IDurableLockingManager.LockAreaAlreadyExistsException, IDurableLockingManager.LockAreaNotFoundException, IDurableLockingManager.LockGrade`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `lock​(java.lang.String durableLockingID, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, java.util.Collection<? extends java.lang.Object> objectsToLock)` |
    `void` | `unlock​(java.lang.String durableLockingID)` |
    `void` | `unlock​(java.lang.String durableLockingID, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, java.util.Collection<? extends java.lang.Object> objectsToUnlock)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager

      `createLockArea, deleteLockArea, getLockArea, getLockAreas`

- - ### Method Detail

    - #### lock

          void lock​(java.lang.String durableLockingID,
                    org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type,
                    java.util.Collection<? extends java.lang.Object> objectsToLock)

    - #### unlock

          void unlock​(java.lang.String durableLockingID,
                      org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type,
                      java.util.Collection<? extends java.lang.Object> objectsToUnlock)

    - #### unlock

          void unlock​(java.lang.String durableLockingID)